Users
- OpenAPI Version:
3.1.1 - API Version:
2
The User APIs allow developers to programatically access data related to users, groups, and contact groups.
Servers
- URL:
https://api.zoom.us/v2
Operations
List contact groups
- Method:
GET - Path:
/contacts/groups - Tags: Contact Groups
List contact groups under an account.
Prerequisite: Pro or higher account.
Scopes: contact_group:read:admin
Rate Limit Label: Medium
Responses
Status: 200 **HTTP Status Code:** `200` List of contact groups returned.
Content-Type: application/json
-
groupsarray— List of contact group objects.Items:
-
descriptionstring— The group description. -
group_idstring— The group ID. -
group_namestring— The group name. -
group_privacyinteger, possible values:1, 2, 3— The contact group privacy configuration: `1` - Visible to anyone, searchable by anyone. `2` - Visible to members only, searchable by anyone. `3` - Visible to members only, searchable by members only.
-
-
next_page_tokenstring— The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes. -
page_sizeinteger— The number of records returned within a single API call.
Example:
{
"groups": [
{
"group_id": "dir.JquKVDGlQ9K6S0QVWGcysw",
"group_name": "Developers",
"group_privacy": 1,
"description": "A contact group for office A"
}
],
"next_page_token": "R4aF9Oj0fVM2hhezJTEmSKaBSkfesDwGy42",
"page_size": 10
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid account: {accountId}
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Create a contact group
- Method:
POST - Path:
/contacts/groups - Tags: Contact Groups
Use this API to create a contact group.
Prerequisite: Pro or higher account.
Scopes: contact_group:write:admin
Rate Limit Label: Heavy
Request Body
Content-Type: application/json
-
descriptionstring— The group description. -
group_membersarrayItems:
-
idstring— The member ID: user ID (`user`) or user group ID (`user group`). -
typeinteger, possible values:1, 2— Contact group member types: `1` - user. `2` - user group.
-
-
group_namestring— The contact group's name. -
group_privacyinteger, possible values:1, 2, 3— Contact group privacy configuration: `1` - Visible to anyone, searchable by anyone. `2` - Visible to members only, searchable by anyone. `3` - Visible to members only, searchable by members only.
Example:
{
"group_name": "Developers",
"group_privacy": 1,
"description": "A contact group.",
"group_members": [
{
"type": 2,
"id": "n22T5G6bQDCugVm1V59TAQ"
}
]
}
Responses
Status: 201 **HTTP Status Code:** `201` Group created.
Content-Type: application/json
-
descriptionstring— The group description. -
group_idstring— The contact group ID. -
group_namestring— The contact group's name. -
group_privacyinteger, possible values:1, 2, 3— Contact group privacy configuration: `1` - Visible to anyone, searchable by anyone. `2` - Visible to members only, searchable by anyone. `3` - Visible to members only, searchable by members only. -
total_membersinteger— The contact group's total member count.
Example:
{
"group_id": "A4ql1FjgL913r",
"group_name": "Developers",
"total_members": 34,
"group_privacy": 1,
"description": "A contact group."
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid account: {accountId}<br> **Error Code:** `300` <br> The maximum number of user member per request is 50.<br> **Error Code:** `300` <br> The maximum number of group member per request is 3.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get a contact group
- Method:
GET - Path:
/contacts/groups/{groupId} - Tags: Contact Groups
Get a contact group under an account.
Prerequisite: Pro or higher account.
Scopes: contact_group:write:admin
Rate Limit Label: Light
Responses
Status: 200 **HTTP Status Code:** `200` Group returned.
Content-Type: application/json
-
descriptionstring— The group description. -
group_idstring— The group ID. -
group_namestring— The group name. -
group_privacyinteger, possible values:1, 2, 3— The contact group privacy configuration: `1` - Visible to anyone, searchable by anyone. `2` - Visible to members only, searchable by anyone. `3` - Visible to members only, searchable by members only. -
total_membersinteger— The total number of members in a contact group.
Example:
{
"group_id": "dir.JquKVDGlQ9K6S0QVWGcysw",
"group_name": "Developers",
"total_members": 10,
"group_privacy": 1,
"description": "A contact group for office A"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid account: {accountId}<br> **Error Code:** `300` <br> A group with this groupId: {groupId} does not exist.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Delete a contact group
- Method:
DELETE - Path:
/contacts/groups/{groupId} - Tags: Contact Groups
Use this API to delete a contact group.
Prerequisite: Pro or higher account.
Scopes: contact_group:write:admin
Rate Limit Label: Heavy
Responses
Status: 204 **HTTP Status Code:** `204` Group deleted.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid account,{accountId}.<br> **Error Code:** `300` <br> A group with this groupId: {groupId} does not exist.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Update a contact group
- Method:
PATCH - Path:
/contacts/groups/{groupId} - Tags: Contact Groups
Update a contact group under your account.
Prerequisite: Pro or higher account.
Scopes: contact_group:write:admin
Rate Limit Label: Heavy
Request Body
Content-Type: application/json
-
descriptionstring— The group description. -
namestring— The contact group's name. -
privacyinteger, possible values:1, 2, 3— Contact group privacy configuration: `1` - Visible to anyone, searchable by anyone. `2` - Visible to members only, searchable by anyone. `3` - Visible to members only, searchable by members only.
Example:
{
"name": "Developers",
"privacy": 1,
"description": "A contact group."
}
Responses
Status: 204 Contact group updated.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid account: {accountId}<br> **Error Code:** `300` <br> A group with this groupId: {groupId} does not exist.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
List contact group members
- Method:
GET - Path:
/contacts/groups/{groupId}/members - Tags: Contact Groups
List members in contact groups under an account.
Prerequisite: Pro or higher account.
Scopes: contact_group:read:admin
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` List of contact group members returned.
Content-Type: application/json
-
group_membersarray— List of contact group members.Items:
-
idstring— The member ID: user ID (`user`) or user group ID (`user group`). -
namestring— The member's name: user's name (`user`) or the group's name (`user group`). -
typeinteger, possible values:1, 2— Contact group member types: `1` - user. `2` - user group.
-
-
next_page_tokenstring— The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes. -
page_sizeinteger— The number of records returned within a single API call.
Example:
{
"group_members": [
{
"type": 2,
"id": "n22T5G6bQDCugVm1V59TAQ",
"name": "Developer group"
}
],
"next_page_token": "R4aF9Oj0fVM2hhezJTEmSKaBSkfesDwGy42",
"page_size": 10
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid account: {accountId}<br> <br> **Error Code:** `300` <br> A group with this groupId: {groupId} does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Add contact group members
- Method:
POST - Path:
/contacts/groups/{groupId}/members - Tags: Contact Groups
Use this API to add members to a contact group.
Prerequisite: Pro or higher account.
Scopes: contact_group:write:admin
Rate Limit Label: HEAVY
Request Body
Content-Type: application/json
-
group_membersarray— Group members arrayItems:
-
idstring— The member ID: user ID (`user`) or user group ID (`user group`). -
typeinteger, possible values:1, 2— Contact group member types: `1` - user. `2` - user group.
-
Example:
{
"group_members": [
{
"type": 2,
"id": "n22T5G6bQDCugVm1V59TAQ"
}
]
}
Responses
Status: 201 **HTTP Status Code:** `201` Member added.
Content-Type: application/json
-
member_idsarray— Member ids arrayItems:
string— The member ID of the member that is added successfully.
Example:
{
"member_ids": [
"KT6h5SfCSm6YNjZo7i8few"
]
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid account: {accountId}<br> <br> **Error Code:** `300` <br> A group with this groupId: {groupId} does not exist.<br> <br> **Error Code:** `300` <br> The maximum number of user member per request is 50.<br> <br> **Error Code:** `300` <br> The maximum number of group member per request is 3. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Remove members in a contact group
- Method:
DELETE - Path:
/contacts/groups/{groupId}/members - Tags: Contact Groups
Removes members in a contact group.
Prerequisite: Pro or higher account.
Scopes: contact_group:write:admin
Rate Limit Label: HEAVY
Responses
Status: 204 **HTTP Status Code:** `204` Member removed.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid account,{accountId}.<br> <br> **Error Code:** `300` <br> A group with this groupId: {groupId} does not exist.<br> <br> **Error Code:** `300` <br> The maximum number of memberId is 20.<br> <br> **Error Code:** `300` <br> A member with this memberId: {memberId} does not exist.<br> <br> **Error Code:** `300` <br> A group must have at least one member. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
List divisions
- Method:
GET - Path:
/divisions - Tags: Divisions
List divisions under an account.
Scopes: division:read:admin
Granular Scopes: division:read:list_divisions:admin
Rate Limit Label: LIGHT
Not supported in Gov cluster
Responses
Status: 200 **HTTP Status Code:** `200` Division list returned.
Content-Type: application/json
-
divisionsarray— The information about the divisions.Items:
-
division_descriptionstring— The division's description. -
division_idstring— The division's id -
division_namestring— The division's name. -
is_main_divisionboolean— Is it Main Division -
total_membersinteger— Total number of members in this division.
-
-
next_page_tokenstring— Use the next page token to paginate through a large set of results. It returns whenever the set of available results exceeds the current page size. This token's expiration period is 15 minutes. -
page_sizeinteger— The number of records returned within a single API call. -
total_recordsinteger— The total records of divisions under the account.
Example:
{
"next_page_token": "IAfJX3jsOLW7w3dokmFl84zOa0MAVGyMEB2",
"page_size": 30,
"total_records": 300,
"divisions": [
{
"division_id": "example-TaOOmobxuqLVnw",
"division_name": "my division",
"division_description": "this is division",
"is_main_division": true,
"total_members": 100
}
]
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request Invalid parameters.
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized **Error Code:** `30031002` <br> Missing token <br> **Error Code:** `30031004` <br> Invalid or expired token <br>
Status: 403 **HTTP Status Code:** `403` <br> Forbidden No permission.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
Create a division
- Method:
POST - Path:
/divisions - Tags: Divisions
Create a division. You can add a maximum of 500 divisions in one account.
Scopes: division:wirte:admin
Granular Scopes: division:write:division:admin
Rate Limit Label: LIGHT
Not supported in Gov cluster
Request Body
Content-Type: application/json
-
division_name(required)string— The division's name. -
division_descriptionstring— The division's description.
Example:
{
"division_name": "my division",
"division_description": "this is division"
}
Responses
Status: 201 **HTTP Status Code:** `201` Division created.
Content-Type: application/json
-
division_descriptionstring— The division's description. -
division_idstring— The division's id -
division_namestring— The division's name.
Example:
{
"division_id": "example-TaOOmobxuqLVnw",
"division_name": "my division",
"division_description": "this is division"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `40005` <br> Invalid field. <br> **Error Code:** `42006` <br> You've reached the maximum number of divisions reached. You can clean up some divisions then try again. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized **Error Code:** `30031004` <br> Invalid or expired token. <br> **Error Code:** `30031002` <br> Missing token. <br>
Status: 403 **HTTP Status Code:** `403` <br> Forbidden No permission.
Status: 409 **HTTP Status Code:** `409` <br> Conflict This name is already in use. Please try another.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
Get a division
- Method:
GET - Path:
/divisions/{divisionId} - Tags: Divisions
Get a division under an account.
Scopes: division:wirte:admin,division:read:admin
Granular Scopes: division:read:division:admin
Rate Limit Label: LIGHT
Not supported in Gov cluster
Responses
Status: 200 **HTTP Status Code:** `200` Division returned.
Content-Type: application/json
-
division_descriptionstring— The division's description. -
division_idstring— The division's id -
division_namestring— The division's name. -
is_main_divisionboolean— Is it Main Division
Example:
{
"division_id": "example-TaOOmobxuqLVnw",
"division_name": "my division",
"division_description": "this is division",
"is_main_division": true
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request Invalid parameters.
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized **Error Code:** `30031002` <br> Missing token <br> **Error Code:** `30031004` <br> Invalid or expired token <br>
Status: 403 **HTTP Status Code:** `403` <br> Forbidden No permission.
Status: 404 **HTTP Status Code:** `404` <br> Not Found Division not found.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
Delete a division
- Method:
DELETE - Path:
/divisions/{divisionId} - Tags: Divisions
Delete an entire division.
Scopes: division:wirte:admin
Granular Scopes: division:delete:division:admin
Rate Limit Label: LIGHT
Not supported in Gov cluster
Responses
Status: 204 **HTTP Status Code:** `204` Division deleted.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `42011` <br> Main division can't be deleted. <br> **Error Code:** `42012` <br> Please remove all users from this division before deleting. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized **Error Code:** `30031002` <br> Missing token. <br> **Error Code:** `30031004` <br> Invalid or expired token. <br>
Status: 403 **HTTP Status Code:** `403` <br> Forbidden No permission.
Status: 404 **HTTP Status Code:** `404` <br> Not Found Division not found.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
Update a division
- Method:
PATCH - Path:
/divisions/{divisionId} - Tags: Divisions
Update a group under your account.
Scopes: division:wirte:admin
Granular Scopes: division:update:division:admin
Rate Limit Label: LIGHT
Not supported in Gov cluster
Request Body
Content-Type: application/json
-
division_descriptionstring— The division's description. -
division_namestring— The division's name.
Example:
{
"division_name": "my division",
"division_description": "this is division"
}
Responses
Status: 204 **HTTP Status Code:** `204` Division updated.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request Invalid parameters.
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized **Error Code:** `30031002` <br> Missing token <br> **Error Code:** `30031004` <br> Invalid or expired token <br>
Status: 403 **HTTP Status Code:** `403` <br> Forbidden No permission.
Status: 404 **HTTP Status Code:** `404` <br> Not Found Division not found.
Status: 409 **HTTP Status Code:** `409` <br> Conflict This name is already in use. Please try another.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
List division members
- Method:
GET - Path:
/divisions/{divisionId}/users - Tags: Divisions
List the users of a division under your account.
Scopes: division:read:admin
Granular Scopes: division:read:member:admin
Rate Limit Label: LIGHT
Not supported in Gov cluster
Responses
Status: 200 **HTTP Status Code:** `200` Division users returned.
Content-Type: application/json
-
next_page_tokenstring— Use the next page token to paginate through a large set of results. It returns whenever the set of available results exceeds the current page size. This token's expiration period is 15 minutes. -
page_sizeinteger— The number of records returned within a single API call. -
total_recordsinteger— The total records of users under the division. -
usersarray— List of a division's users.Items:
-
user_display_namestring— The user's display name. -
user_emailstring— The user's email address. -
user_idstring— The user's unique identifier.
-
Example:
{
"next_page_token": "IAfJX3jsOLW7w3dokmFl84zOa0MAVGyMEB2",
"page_size": 30,
"total_records": 300,
"users": [
{
"user_id": "example-FLFD4pfkQ4a2nec",
"user_display_name": "jill chill",
"user_email": "jchill@example.com"
}
]
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request Invalid parameters.
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized **Error Code:** `30031002` <br> Missing token. <br> **Error Code:** `30031004` <br> Invalid or expired token. <br>
Status: 403 **HTTP Status Code:** `403` <br> Forbidden No permission.
Status: 404 **HTTP Status Code:** `404` <br> Not Found Division not found.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
Assign a division
- Method:
POST - Path:
/divisions/{divisionId}/users - Tags: Divisions
Assign a division to members. A user can belong to only one division.
Scopes: division:wirte:admin
Granular Scopes: division:write:member:admin
Rate Limit Label: MEDIUM
Not supported in Gov cluster
Request Body
Content-Type: application/json
-
usersarray— Array of userId/user email of users to whom you would like to assign this division. Up to 30 users can be assigned a division at once.Items:
-
user_emailstring— Email address of the user to whom you would like to assign the division. Provide either the userId in the user_id field or the email address in the user_email field. If both fields are provided, only userId is used. -
user_idstring— User ID of the user to whom you would like to assign the division.
-
Example:
{
"users": [
{
"user_email": "user@example.com",
"user_id": "example_2RTm5TNvuvk4yRw"
}
]
}
Responses
Status: 201 **HTTP Status Code:** `201` Division users added.
Content-Type: application/json
-
added_atstring— Date and time at which the members are assigned to the division. -
idsstring— User ids
Example:
{
"added_at": "2022-03-25T03:08:12Z",
"ids": "example-userId1,example-userId2"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request Invalid parameters.
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized **Error Code:** `30031002` <br> Missing token. <br> **Error Code:** `30031004` <br> Invalid or expired token. <br>
Status: 403 **HTTP Status Code:** `403` <br> Forbidden No permission.
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `40406` <br> Division not found. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
List groups
- Method:
GET - Path:
/groups - Tags: Groups
List groups under an account.
Prerequisite: Pro or higher account.
Scopes: group:read:admin,group:write:admin
Granular Scopes: group:read:list_groups:admin
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` List of groups returned. **Error Code:** `200` Only available for paid accounts.
Content-Type: application/json
-
groupsarray— List of Group objects.Items:
All of:
-
idstring— Group ID.
-
namestring— Group name. -
total_membersinteger— Total number of members in this group.
-
-
next_page_tokenstring— The next page token paginates through a large set results. A next page token returns whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes. -
total_recordsinteger— Total records.
Example:
{
"groups": [
{
"id": "SobVexyrQjqCkcxjpBWi6w",
"name": "Developers",
"total_members": 200
}
],
"total_records": 200,
"next_page_token": "qUEQqB1V0HVhJmwKFQrGOD"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for Paid account. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> A group with this {groupId} does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Create a group
- Method:
POST - Path:
/groups - Tags: Groups
Use this API to create a group. You can add a maximum of 100 groups in one account per day, and a maximum of 5000 groups in one account.
If you enabled a new group via the user interface, you can also choose whether to display the group and set its privacy level.
Prerequisites:
- A Pro or higher account
Scopes: group:write:admin
Granular Scopes: group:write:group:admin
Rate Limit Label: LIGHT
Request Body
Content-Type: application/json
-
namestring— The group's name.
Example:
{
"name": "Developers"
}
Responses
Status: 201 **HTTP Status Code:** `201` Group created.
Content-Type: application/json
-
idstring— The group ID. -
namestring— The group's name. -
total_membersinteger— The group's total member count.
Example:
{
"id": "A4ql1FjgL913r",
"name": "Developers",
"total_members": 34
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `300` <br> Invalid parameter: name. <br> **Error Code:** `300` <br> Validation Failed. <br> **Error Code:** `300` <br> It has reached the maximum number of groups. You can clean up some groups then add. <br> **Error Code:** `200` <br> Only available for Paid account. <br>
Status: 409 **HTTP Status Code:** `409` <br> Conflict **Error Code:** `4132` <br> The group name "{groupName}" is already in use. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get a group
- Method:
GET - Path:
/groups/{groupId} - Tags: Groups
Get a group under an account.
Prerequisite: Pro, Business, or Education account
Scopes: group:read:admin,group:write:admin
Granular Scopes: group:read:group:admin
Rate Limit Label: LIGHT
Responses
Status: 200 **HTTP Status Code:** `200` Group returned. **Error Code:** `200` Only available for Paid account,{accountId}.
Content-Type: application/json
-
idstring— Group ID. -
namestring— Group name. -
total_membersinteger— Total count of members in the group.
Example:
{
"id": "825c9e31f1064c73b394c5e4557d3447",
"name": "Developers",
"total_members": 100
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `1010` <br> Group does not belong to your account. <br> **Error Code:** `200` <br> Only available for Paid account. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> A group with this {groupId} does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Delete a group
- Method:
DELETE - Path:
/groups/{groupId} - Tags: Groups
Delete an entire group. Prerequisites: * A Pro, Business, or Education account.
Scopes: group:write:admin
Granular Scopes: group:delete:group:admin
Rate Limit Label: LIGHT
Responses
Status: 204 Group deleted.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for Paid account,{accountId}. <br> Group cannot be deleted. Information Barriers policies have been applied to this group. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> Group does not exist. <br> A group with this {groupId} does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Update a group
- Method:
PATCH - Path:
/groups/{groupId} - Tags: Groups
Update a group under your account.
Prerequisite: Pro, Business, or Education account
Scopes: group:write:admin
Granular Scopes: group:update:group:admin
Rate Limit Label: LIGHT
Request Body
Content-Type: application/json
-
namestring— Group name. It must be unique to one account and less than 128 characters.
Example:
{
"name": "Developers"
}
Responses
Status: 204 Group updated.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for Paid account. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> A group with this {groupId} does not exist. <br>
Status: 409 **HTTP Status Code:** `409` <br> Conflict **Error Code:** `4132` <br> Group name {groupName} is already in use. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
List group admins
- Method:
GET - Path:
/groups/{groupId}/admins - Tags: Groups
Use this API to return a list of group administrators under your account.
Prerequisites:
- A Pro, Business, or Education account
Scopes: group:read:admin,group:write:admin
Granular Scopes: group:read:administrator:admin
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` Only available for paid account: "{accountId}".
Content-Type: application/json
-
adminsarrayItems:
-
emailstring, format:email— The user's email address. -
namestring— The user's display name.
-
-
next_page_tokenstring— The next page token is used to paginate through large result sets. A next page token is returned when the set of available results exceeds the current page size. The expiration period for this token is 15 minutes. -
page_sizeinteger— The number of records returned in a single API call. -
total_recordsinteger— The total number of records available across all pages.
Example:
{
"admins": [
{
"email": "jchill@example.com",
"name": "Jill Chill"
}
],
"next_page_token": "oMTCmjMRwzSfZtUXDIuWDswdksIQ3dyGUB1",
"page_size": 1,
"total_records": 20
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for Paid account. <br> **Error Code:** `300` <br> The next page token is invalid or expired. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> A group with the "{groupId}" ID does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Add group admins
- Method:
POST - Path:
/groups/{groupId}/admins - Tags: Groups
Use this API to add administrators to a group under your account.
Prerequisites:
- A Pro, Business, or Education account
Scopes: group:write:admin
Granular Scopes: group:write:administrator:admin
Rate Limit Label: MEDIUM
Request Body
Content-Type: application/json
-
adminsarray— A list of the administrators to add to a group.Items:
-
emailstring— The user's email. Use this value if you do not have the user's ID. If you pass the `id` value, the API ignores this parameter. -
idstring— The user's ID.
-
Example:
{
"admins": [
{
"email": "jchill@example.com",
"id": "v4iyWT1LTfy8QvPG4GTvdg"
}
]
}
Responses
Status: 201 **Status Code:** `201` Group administrator added.
Content-Type: application/json
-
added_atstring, format:date-time— The timestamp at which the administrator was added to the group. -
idsstring— The administrator IDs.
Example:
{
"added_at": "2022-03-25T03:08:12Z",
"ids": "v4iyWT1LTfy8QvPG4GTvdg"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid account,{accountId}. <br> **Error Code:** `300` <br> Validation Failed. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> A group with the "{groupId}" ID does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Delete a group admin
- Method:
DELETE - Path:
/groups/{groupId}/admins/{userId} - Tags: Groups
Use this API to remove a group administrator in a Zoom account.
Prerequisites:
- A Pro, Business, or Education account
Scopes: group:write:admin
Granular Scopes: group:delete:administrator:admin
Rate Limit Label: LIGHT
Responses
Status: 204 **Status Code:** `204` Group administrator removed.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `4138` <br> That user is not an administrator for the group: "{groupId}". <br> **Error Code:** `200` <br> Only available for Paid account. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> A group with the "{groupId}" ID does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
List group channels
- Method:
GET - Path:
/groups/{groupId}/channels - Tags: Groups
Returns a list of channels for a group under your account.
Prerequisite:
- Pro, Business, or Education account
Scopes: group:read:admin,group:write:admin
Granular Scopes: group:read:list_channels:admin
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` List of group channels returned.
Content-Type: application/json
-
channels(required)array— The channels in a group.Items:
-
channel_id(required)string— The unique identifier of the channel. -
channel_name(required)string— The name of the channel. -
member_count(required)integer— The member number of the channel.
-
-
group_id(required)string— The unique identifier of the group.
Example:
{
"channels": [
{
"channel_id": "d26fd4dfebfa4aff9f31ee5710529442",
"channel_name": "Your Channel",
"member_count": 10
}
],
"group_id": "2NEr8QoCSZq4LV6s7jjYQA"
}
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> A group with this {groupId} does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get locked settings
- Method:
GET - Path:
/groups/{groupId}/lock_settings - Tags: Groups
Retrieve a group's locked settings. If you lock a setting, the group members will not be able to modify it individually.
Note: The force_pmi_jbh_password field under meeting settings is deprecated as of September 22, 2019.
Prerequisite: Pro, Business, or Education account
Scopes: group:read:admin,group:write:admin
Granular Scopes: group:read:lock_settings:admin
Rate Limit Label: MEDIUM
Responses
Status: 200 **Status Code:** `200` Locked settings of group returned.
Content-Type: application/json
One of:
-
audio_conferencingobject— The group's audio conference settings.-
call_me_and_invite_by_phoneboolean— Whether the group has the [**Call Me and Invite by Phone**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0067414#h_01F53VG7NCJDZ238VVXZDJ8QMH) setting enabled. -
participant_phone_maskingboolean— Whether the group has the [**Mask phone number in the participant list**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0067881#h_01F5K5H1618B9AQ9F29NYRNE8W) setting enabled. -
personal_audio_conferenceboolean— Whether the group has the [**Personal Audio Conference**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0060449#h_01F5BPMNMERFWXN5S8ZJRZZCSE) setting enabled. -
toll_callboolean— Whether the group has the [**Toll Call**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0066909#h_01F51844DRCX3K7BRTMZ40381R) setting enabled. -
toll_free_and_fee_based_toll_callboolean— Whether the group has the [**Toll-free and Fee-based Toll Call**](https://support.zoom.us/hc/en-us/articles/360060950711-Enabling-Toll-free-and-Fee-based-Toll-Call) setting enabled.
-
-
email_notificationobject-
alternative_host_reminderboolean— Notify the alternative host who is set or removed. -
cancel_meeting_reminderboolean— Notify host and participants when the meeting is cancelled. -
cloud_recording_available_reminderboolean— Whether to notify the host when a cloud recording is available. -
jbh_reminderboolean— Notify host when participants join the meeting before them. -
schedule_for_reminderboolean— Notify the host there is a meeting is scheduled, rescheduled, or cancelled.
-
-
in_meetingobject-
alert_guest_joinboolean— Allow participants who belong to your account to see that a guest (someone who does not belong to your account) is participating in the meeting/webinar. -
allow_live_streamingboolean— Whether to allow livestreaming. -
allow_show_zoom_windowsboolean— Show Zoom windows during screen share. -
allow_users_to_delete_messages_in_meeting_chatboolean— If the value of this field is set to `true`, allow users to delete messages in the in-meeting chat. -
annotationboolean— Allow participants to use annotation tools to add information to shared screens. -
attendee_on_holdboolean, default:false— Allow host to put attendee on hold. **This field has been deprecated and is no longer supported.** -
auto_answerboolean— Enable users to see and add contacts to 'auto-answer group' in the contact list on chat. Any call from members of this group will be automatically answered. -
auto_generated_captionsboolean— Whether to allow a live transcription service to transcribe meetings. -
auto_saving_chatboolean— Automatically save all in-meeting chats. -
breakout_roomboolean— Allow host to split meeting participants into separate, smaller rooms. -
chatboolean— Allow meeting participants to send chat message visible to all participants. -
closed_captionboolean— Allow host to type closed captions or assign a participant or third party device to add closed captions. -
co_hostboolean— Allow the host to add co-hosts. Co-hosts have the same in-meeting controls as the host. -
custom_data_center_regionsboolean— Displays whether or not custom [data center regions](https://support.zoom.us/hc/en-us/articles/360042411451-Selecting-data-center-regions-for-hosted-meetings-and-webinars) have been selected for meetings/webinars hosted by this group. -
disable_screen_sharing_for_host_meetingsboolean— Whether the **Disable desktop screen sharing for meetings you host** setting is enabled. -
disable_screen_sharing_for_in_meeting_guestsboolean— Whether the **Disable screen sharing when guests are in the meeting** setting is enabled. -
e2e_encryptionboolean— Require that all meetings are encrypted using AES. -
entry_exit_chimestring— Play sound when participants join or leave. -
far_end_camera_controlboolean— Allow another user to take control of the camera during a meeting. -
feedbackboolean— Enable users to provide feedback to Zoom at the end of the meeting. -
file_transferboolean— Indicates whether [in-meeting file transfer](https://support.zoom.us/hc/en-us/articles/209605493-In-meeting-file-transfer) setting has been enabled for the users in the group or not. -
full_transcriptboolean— Whether to allow the viewing of full transcripts in the in-meeting side panel. -
group_hdboolean— Enable higher quality video for host and participants in a meeting. This will require more bandwidth. -
language_interpretationboolean— Whether to allow hosts to assign participants as interpreters who can interpret one language into another in real-time. -
manual_captionsboolean— Allow host to type closed captions or assign a participant or third party device to add closed captions. -
meeting_question_answerboolean— Allow participants to ask questions for the host and participants to answer. -
meeting_reactionsboolean— Whether meeting participants can [communicate using the emoji reactions](https://support.zoom.us/hc/en-us/articles/115001286183-Nonverbal-feedback-and-meeting-reactions) located in the **Reactions** menu in the meeting toolbar. -
meeting_surveyboolean— Whether the host can present a survey to participants once a meeting has ended. This feature is only available in version 5.7.3 or higher. -
non_verbal_feedbackboolean— Allow participants in a meeting can provide nonverbal feedback and express opinions by clicking on icons in the Participants panel. -
original_audioboolean— Allow users to select original sound during a meeting. -
pollingboolean— Add 'Polls' to the meeting controls. This allows the host to survey the attendees. -
post_meeting_feedbackboolean— Display end-of-meeting experience feedback survey. -
private_chatboolean— Allow meeting participants to send a private 1:1 message to another participant. -
remote_controlboolean— During screen sharing, allow the person who is sharing to let others control the shared content. -
remote_supportboolean— Allow meeting host to provide 1:1 remote support to another participant. -
request_permission_to_unmute_participantsboolean— Indicates whether the [**Request permission to unmute participants**](https://support.zoom.us/hc/en-us/articles/203435537-Muting-and-unmuting-participants-in-a-meeting#h_01EGK4XFWS1SJGZ71MYGKF7260) option has been enabled and locked for the group or not. -
save_captionboolean— Whether participants can save closed captions or transcripts. -
save_captionsboolean— Whether participants can save closed captions or transcripts. -
screen_sharingboolean— Allow host and participants to share their screen or content during meetings. -
sending_default_email_invitesboolean— Allow users to invite participants by email only by default. -
show_a_join_from_your_browser_linkboolean— Whether to allow participants to join a meeting directly from their browser and bypass the Zoom application download process. This is useful for participants who cannot download, install, or run applications. Note that the meeting experience from the browser is limited. -
show_browser_join_linkboolean— Allow participants to join a meeting directly from their browser. -
show_meeting_control_toolbarboolean— Always show meeting controls during a meeting. -
sign_language_interpretationboolean— Allow hosts to assign participants as sign language interpreters who can interpret one language into sign language in real-time. Hosts can assign interpreters when scheduling, or during the meeting itself. This feature is only available with version 5.11.3 or later. -
slide_controlboolean— Whether the person sharing during a presentation can allow others to control the slide presentation. This feature is only available in version 5.8.3 or higher. -
stereo_audioboolean— Allow users to select stereo audio during a meeting. -
use_html_format_emailboolean— Allow HTML formatting instead of plain text for meeting invitations scheduled with the Outlook plugin. -
virtual_backgroundboolean— Enable virtual backgrounds. -
waiting_roomboolean— Attendees cannot join a meeting until a host admits them individually from the waiting room. -
webinar_chatboolean— Whether to allow webinar participants to send chat messages. -
webinar_group_hdboolean— Enable higher quality video for host and participants in a webinar. This will require more bandwidth. -
webinar_live_streamingboolean— Whether webinar livestreaming is enabled. -
webinar_pollingboolean— Whether the host can add polls before or during a webinar. -
webinar_question_answerboolean— Whether attendees can ask the host and panelists questions in the webinar. -
webinar_reactionsboolean— Set this field to true to use [webinar reactions](https://support.zoom.us/hc/en-us/articles/4803536268429). -
webinar_surveyboolean— Whether the host can present surveys to attendees once a webinar has ended. -
whiteboardboolean— Allow participants to share a whiteboard that includes annotation tools.
-
-
other_optionsobject-
blur_snapshotboolean— If `true`, iOS blurs the screenshot in the task switcher when multiple apps are open. Android hides the screenshot in the system-level list of recent apps.
-
-
recordingobject-
account_user_access_recordingboolean— Make cloud recordings accessible to account members only. -
archiveboolean— [Archiving solution](https://support.zoom.us/hc/en-us/articles/360050431572-Archiving-Meeting-and-Webinar-data) settings. This setting can only be used if you have been granted archiving solution access by the Zoom support team. -
auto_delete_cmrboolean— Allow Zoom to automatically delete recordings permanently after a specified number of days. -
auto_recordingboolean— Record meetings automatically as they start. -
cloud_recordingboolean— Allow hosts to record and save the meeting or webinar in the cloud. -
cloud_recording_downloadboolean— Allow anyone with a link to the cloud recording to download. -
host_delete_cloud_recordingboolean— Allow the host to delete the recordings. If this option is disabled, the recordings cannot be deleted by the host and only admin can delete them. -
ip_address_access_controlobject— Setting to allow cloud recording access only from specific IP address ranges.-
enableboolean— If set to `true`, the cloud recordings of this account can only be accessed by the IP addresses defined in the `ip_addresses_or_ranges` property. -
ip_addresses_or_rangesstring— IP addresses or ranges that have access to the cloud recordings. Separate multiple IP ranges with commas. Use `n.n.n.n, n.n.n.n/n` or `n.n.n.n - n.n.n.n` syntax where n is a number, such as `46.33.24.184, 48.99.100.2/25` or `200.181.108.17 - 220.181.108.157`.
-
-
local_recordingboolean— Allow hosts and participants to record the meeting to a local file. -
prevent_host_access_recordingboolean— If set to `true`, meeting hosts cannot view their meeting cloud recordings. Only the admins who have recording management privilege can access them. -
recording_authenticationboolean— Only authenticated users can view cloud recordings
-
-
schedule_meetingobject-
audio_typeboolean— Determine how participants can join the audio portion of the meeting. -
continuous_meeting_chatboolean— Whether to enable the [**Enable continuous meeting chat**] setting. -
embed_password_in_join_linkboolean— If the value is set to `true`, the meeting passcode will be encrypted and included in the join meeting link to allow participants to join with just one click without having to enter the passcode. -
force_pmi_jbh_passwordboolean— If the join before host option is enabled for a personal meeting, then enforce passcode requirement. -
host_videoboolean— Start meetings with host video on. -
join_before_hostboolean— Allow participants to join the meeting before the host arrives -
meeting_authenticationboolean— Only authenticated users can join meetings -
mute_upon_entryboolean— Automatically mute all participants when they join the meeting. -
participant_videoboolean— Start meetings with participant video on. -
pstn_password_protectedboolean— Generate and send new passcodes for newly scheduled or edited meetings. -
require_password_for_instant_meetingsboolean— Require passcode for instant meetings. If you use personal meeting ID (PMI) for your instant meetings, this option will be disabled. -
require_password_for_pmi_meetingsboolean— Require participants to enter passcode for PMI meetings. -
require_password_for_scheduling_new_meetingsboolean— This setting applies for regular meetings that do not use PMI. If enabled, a passcode will be generated while a host schedules a new meeting and participants will be required to enter the passcode before they can join the meeting. -
upcoming_meeting_reminderboolean— Receive desktop notification for upcoming meetings.
-
-
telephonyobject— Group Settings: Telephony.-
telephony_regionsboolean— Third party audio conference info. -
third_party_audioboolean— Allow users to join the meeting using the existing third party audio configuration.
-
-
meeting_securityobject-
approved_or_denied_countries_or_regionsboolean— Whether the [**Approve or block entry for users from specific countries/regions**](https://support.zoom.us/hc/en-us/articles/360060086231-Joining-from-specific-countries-regions) setting is enabled. -
auto_securityboolean— Whether all meetings must be secured with at least one security option. This setting can only be disabled by Enterprise, ISV, Business (with more than 100 licenses), and Education accounts. -
block_user_domainboolean— Whether users in specific domains are blocked from joining meetings and webinars. -
embed_password_in_join_linkboolean— Whether the meeting passcode is encrypted and included in the invitation link. The provided link will allow participants to join the meeting without having to enter the passcode. -
encryption_typestring, possible values:"enhanced_encryption", "e2ee"— The type of encryption used when starting a meeting. * `enhanced_encryption` - Enhanced encryption. Encryption data is stored in the cloud. * `e2ee` - End-to-end encryption. The encryption key is stored on the local device and cannot be obtained by anyone else. Enabling E2EE also [**disables** certain features](https://support.zoom.us/hc/en-us/articles/360048660871), such as cloud recording, live streaming, and allowing participants to join before the host. -
end_to_end_encrypted_meetingsboolean— Whether end-to-end encryption is enabled for meetings. -
meeting_passwordboolean— Whether all instant and scheduled meetings that users can join via client or Zoom Rooms systems are passcode-protected. [Personal meeting ID (PMI)](https://support.zoom.us/hc/en-us/articles/203276937) meetings are **not** included in this setting. -
only_authenticated_can_join_from_webclientboolean— Whether to specify that only authenticated users can join the meeting from the web client. -
phone_passwordboolean— Whether passcodes are required for participants joining by phone. If enabled and the meeting is passcode-protected, a numeric passcode is required for participants to join by phone. For meetings with alphanumeric passcodes, a numeric passcode will be generated. -
pmi_passwordboolean— Whether all PMI meetings that users can join via client or Zoom Rooms systems are passcode-protected. -
waiting_roomboolean— Whether participants are placed in the [**waiting room**](https://support.zoom.us/hc/en-us/articles/115000332726-Waiting-Room) when they join a meeting. If the **Waiting Room** feature is enabled, the [**Allow participants to join before host**](https://support.zoom.us/hc/en-us/articles/202828525-Allow-participants-to-join-before-host) setting is automatically disabled. -
webinar_passwordboolean— Whether to generate a passcode when scheduling webinars. Participants must use the generated passcode to join the scheduled webinar.
-
Example:
{
"audio_conferencing": {
"toll_free_and_fee_based_toll_call": true,
"toll_call": true,
"call_me_and_invite_by_phone": true,
"personal_audio_conference": true,
"participant_phone_masking": true
},
"email_notification": {
"alternative_host_reminder": true,
"cloud_recording_available_reminder": true,
"jbh_reminder": true,
"schedule_for_reminder": true
},
"in_meeting": {
"alert_guest_join": true,
"allow_users_to_delete_messages_in_meeting_chat": true,
"allow_live_streaming": true,
"allow_show_zoom_windows": true,
"annotation": true,
"auto_answer": true,
"auto_generated_captions": true,
"auto_saving_chat": true,
"breakout_room": true,
"chat": true,
"meeting_question_answer": true,
"closed_caption": true,
"co_host": true,
"custom_data_center_regions": true,
"disable_screen_sharing_for_host_meetings": true,
"disable_screen_sharing_for_in_meeting_guests": true,
"e2e_encryption": true,
"entry_exit_chime": "all",
"far_end_camera_control": true,
"feedback": true,
"file_transfer": true,
"full_transcript": true,
"group_hd": true,
"webinar_group_hd": true,
"language_interpretation": true,
"sign_language_interpretation": true,
"manual_captions": true,
"meeting_reactions": true,
"webinar_reactions": true,
"meeting_survey": true,
"non_verbal_feedback": true,
"original_audio": true,
"polling": true,
"post_meeting_feedback": true,
"private_chat": true,
"remote_control": true,
"remote_support": true,
"request_permission_to_unmute_participants": true,
"save_caption": true,
"save_captions": true,
"screen_sharing": true,
"sending_default_email_invites": true,
"show_a_join_from_your_browser_link": true,
"show_browser_join_link": true,
"show_meeting_control_toolbar": true,
"slide_control": true,
"stereo_audio": true,
"use_html_format_email": true,
"virtual_background": true,
"waiting_room": true,
"webinar_chat": true,
"webinar_live_streaming": true,
"webinar_polling": true,
"webinar_question_answer": true,
"webinar_survey": true,
"whiteboard": true
},
"other_options": {
"blur_snapshot": true
},
"recording": {
"account_user_access_recording": true,
"auto_delete_cmr": true,
"auto_recording": true,
"cloud_recording": true,
"cloud_recording_download": true,
"host_delete_cloud_recording": true,
"ip_address_access_control": {
"enable": true,
"ip_addresses_or_ranges": "200.181.108.17 - 220.181.108.157"
},
"local_recording": true,
"prevent_host_access_recording": true,
"recording_authentication": true,
"archive": true
},
"schedule_meeting": {
"audio_type": true,
"embed_password_in_join_link": true,
"force_pmi_jbh_password": true,
"host_video": true,
"join_before_host": true,
"meeting_authentication": true,
"mute_upon_entry": true,
"participant_video": true,
"pstn_password_protected": true,
"require_password_for_instant_meetings": true,
"require_password_for_pmi_meetings": true,
"require_password_for_scheduling_new_meetings": true,
"upcoming_meeting_reminder": true,
"continuous_meeting_chat": true
},
"telephony": {
"telephony_regions": true,
"third_party_audio": true
}
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for Paid account. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> Group does not exist: {groupId} <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Update locked settings
- Method:
PATCH - Path:
/groups/{groupId}/lock_settings - Tags: Groups
Update a group's locked settings. If you lock a setting, the group members cannot modify it individually.
Note: The force_pmi_jbh_password field under meeting settings is deprecated as of September 22, 2019.
Prerequisite: Pro, Business, or Education account
Scopes: group:write:admin
Granular Scopes: group:update:lock_settings:admin
Rate Limit Label: MEDIUM
Request Body
Content-Type: application/json
One of:
-
audio_conferencingobject— The group's audio conference settings.-
call_me_and_invite_by_phoneboolean— Whether the group has the [**Call Me and Invite by Phone**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0067414#h_01F53VFZMDP4EJAF772N7NG2KY) setting enabled. -
participant_phone_maskingboolean— Whether the group has the [**Mask phone number in the participant list**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0067881#h_01F5K5GT9P563K751K3JNAYE6E) setting enabled. -
personal_audio_conferenceboolean— Whether the group has the [**Personal Audio Conference**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0060449#h_01F5BPMNMERFWXN5S8ZJRZZCSE) setting enabled. -
toll_callboolean— Whether the group has the [**Toll Call**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0066909#h_01F51680NJ7YHZDXGJNSKDGM2P) setting enabled. -
toll_free_and_fee_based_toll_callboolean— Whether the group has the [**Toll-free and Fee-based Toll Call**](https://support.zoom.us/hc/en-us/articles/360060950711-Enabling-Toll-free-and-Fee-based-Toll-Call#h_01F51844DRCX3K7BRTMZ40381R) setting enabled.
-
-
email_notificationobject-
alternative_host_reminderboolean— Notify the alternative host who is set or removed. -
cancel_meeting_reminderboolean— Notify host and participants when the meeting is cancelled. -
cloud_recording_available_reminderboolean— Whether to notify the host when a cloud recording is available. -
jbh_reminderboolean— Notify the host when participants join the meeting before them. -
schedule_for_reminderboolean— Notify the host there is a meeting is scheduled, rescheduled, or cancelled.
-
-
in_meetingobject-
alert_guest_joinboolean— Allow participants who belong to your account to see that a guest (someone who does not belong to your account) is participating in the meeting/webinar. -
allow_live_streamingboolean— Whether to allow livestreaming. -
allow_show_zoom_windowsboolean— Show Zoom windows during screen share. -
allow_users_to_delete_messages_in_meeting_chatboolean— If the value of this field is set to `true`, allow users to delete messages in the in-meeting chat. -
annotationboolean— Allow participants to use annotation tools to add information to shared screens. -
attendee_on_holdboolean, default:false— Allow host to put attendee on hold. **This field has been deprecated and is no longer supported.** -
auto_answerboolean— Enable users to see and add contacts to 'auto-answer group' in the contact list on chat. Any call from members of this group will be automatically answered. -
auto_generated_captionsboolean— Whether to allow a live transcription service to transcribe meetings. -
auto_saving_chatboolean— Automatically save all in-meeting chats. -
breakout_roomboolean— Allow host to split meeting participants into separate, smaller rooms. -
chatboolean— Allow meeting participants to send chat message visible to all participants. -
closed_captionboolean— Allow host to type closed captions or assign a participant/third party device to add closed captions. -
co_hostboolean— Allow the host to add co-hosts. Co-hosts have the same in-meeting controls as the host. -
custom_data_center_regionsboolean— Displays whether or not custom [data center regions](https://support.zoom.us/hc/en-us/articles/360042411451-Selecting-data-center-regions-for-hosted-meetings-and-webinars) have been selected for meetings/webinars hosted by this group. -
disable_screen_sharing_for_host_meetingsboolean— Whether to enable the **Disable desktop screen sharing for meetings you host** setting. -
disable_screen_sharing_for_in_meeting_guestsboolean— Whether to enable the **Disable screen sharing when guests are in the meeting** setting. -
e2e_encryptionboolean— Require that all meetings are encrypted using AES. -
entry_exit_chimestring— Play sound when participants join or leave. -
far_end_camera_controlboolean— Allow another user to take control of the camera during a meeting. -
feedbackboolean— Enable users to provide feedback to Zoom at the end of the meeting. -
file_transferboolean— Indicates whether [in-meeting file transfer](https://support.zoom.us/hc/en-us/articles/209605493-In-meeting-file-transfer) setting has been enabled for the users in the group or not. -
full_transcriptboolean— Whether to allow the viewing of full transcripts in the in-meeting side panel. -
group_hdboolean— Enable higher quality video for host and participants in the meeting. This will require more bandwidth. -
language_interpretationboolean— Whether to allow hosts to assign participants as interpreters who can interpret one language into another in real-time. -
meeting_question_answerboolean— Allow participants to ask questions for the host and participants to answer. -
meeting_surveyboolean— Whether to allow the host to present a survey to participants once a meeting has ended. This feature is only available in version 5.7.3 or higher. -
non_verbal_feedbackboolean— Allow participants in a meeting can provide nonverbal feedback and express opinions by clicking on icons in the Participants panel. -
original_audioboolean— Allow users to select original sound during a meeting. -
pollingboolean— Add 'Polls' to the meeting controls. This allows the host to survey the attendees. -
post_meeting_feedbackboolean— Display end-of-meeting experience feedback survey. -
private_chatboolean— Allow meeting participants to send a private 1:1 message to another participant. -
remote_controlboolean— During screen sharing, allow the person who is sharing to let others control the shared content. -
remote_supportboolean— Allow meeting host to provide 1:1 remote support to another participant. -
request_permission_to_unmute_participantsboolean— Indicate whether the [**Request permission to unmute participants**](https://support.zoom.us/hc/en-us/articles/203435537-Muting-and-unmuting-participants-in-a-meeting#h_01EGK4XFWS1SJGZ71MYGKF7260) option should be enabled and locked for the group or not. -
save_captionboolean— Whether to allow participants to save closed captions or transcripts. -
save_captionsboolean— Whether participants can save closed captions or transcripts. -
screen_sharingboolean— Allow host and participants to share their screen or content during meetings. -
sending_default_email_invitesboolean— Allow users to invite participants by email only by default. -
show_a_join_from_your_browser_linkboolean— Whether to allow participants to join a meeting directly from their browser and bypass the Zoom application download process. This is useful for participants who cannot download, install, or run applications. Note that the meeting experience from the browser is limited. -
show_browser_join_linkboolean— Allow participants to join a meeting directly from their browser. -
show_meeting_control_toolbarboolean— Always show meeting controls during a meeting. -
sign_language_interpretationboolean— Allow hosts to assign participants as sign language interpreters who can interpret one language into sign language in real-time. Hosts can assign interpreters when scheduling, or during the meeting itself. This feature is only available with version 5.11.3 or later. -
slide_controlboolean— Whether the person sharing during a presentation can allow others to control the slide presentation. This feature is only available in version 5.8.3 or higher. -
stereo_audioboolean— Allow users to select stereo audio during a meeting. -
use_html_format_emailboolean— Allow HTML formatting instead of plain text for meeting invitations scheduled with the Outlook plugin. -
virtual_backgroundboolean— Enable virtual background. -
waiting_roomboolean— Attendees cannot join a meeting until a host admits them individually from the waiting room. -
webinar_chatboolean— Whether to allow webinar participants to send chat messages. -
webinar_group_hdboolean— Enable higher quality video for host and participants in the webinar. This will require more bandwidth. -
webinar_live_streamingboolean— Whether webinar livestreaming is enabled. -
webinar_pollingboolean— Whether to allow the host to add polls before or during a webinar. -
webinar_question_answerboolean— Whether attendees can ask the host and panelists questions in the webinar. -
webinar_reactionsboolean— Set this field to true to use [webinar reactions](https://support.zoom.us/hc/en-us/articles/4803536268429). -
webinar_surveyboolean— Whether to allow the host to present surveys to attendees once a webinar has ended. -
whiteboardboolean— Allow participants to share a whiteboard that includes annotation tools.
-
-
other_optionsobject-
blur_snapshotboolean— If `true`, iOS blurs the screenshot in the task switcher when multiple apps are open. Android hides the screenshot in the system-level list of recent apps.
-
-
recordingobject-
account_user_access_recordingboolean— Make cloud recordings accessible to account members only. -
archiveboolean— [Archiving solution](https://support.zoom.us/hc/en-us/articles/360050431572-Archiving-Meeting-and-Webinar-data) settings. This setting can only be used if you have been granted archiving solution access by the Zoom support team. -
auto_delete_cmrboolean— Allow Zoom to automatically delete recordings permanently after a specified number of days. -
auto_recordingboolean— Record meetings automatically as they start. -
cloud_recordingboolean— Allow hosts to record and save the meeting or webinar in the cloud. -
cloud_recording_downloadboolean— Allow anyone with a link to the cloud recording to download. -
host_delete_cloud_recordingboolean— Allow the host to delete the recordings. If this option is disabled, the recordings cannot be deleted by the host and only admin can delete them. -
ip_address_access_controlobject— Setting to allow cloud recording access only from specific IP address ranges.-
enableboolean— If set to `true`, the cloud recordings of this account can only be accessed by the IP addresses defined in the `ip_addresses_or_ranges` property. -
ip_addresses_or_rangesstring— IP addresses or ranges that have access to the cloud recordings. Separate multiple IP ranges with comma. Use n.n.n.n, n.n.n.n/n or n.n.n.n - n.n.n.n syntax where n is a number. Example: `46.33.24.184, 48.99.100.2/25` or `200.181.108.17 - 220.181.108.157`
-
-
local_recordingboolean— Allow hosts and participants to record the meeting to a local file. -
recording_authenticationboolean
-
-
schedule_meetingobject-
audio_typeboolean— Determine how participants can join the audio portion of the meeting. -
continuous_meeting_chatboolean— Whether to enable the [**Enable continuous meeting chat**] setting. -
embed_password_in_join_linkboolean— If the value is set to `true`, the meeting passcode will be encrypted and included in the join meeting link to allow participants to join with just one click without having to enter the passcode. -
force_pmi_jbh_passwordboolean— If join before host option is enabled for a personal meeting, then enforce passcode requirement. -
host_videoboolean— Start meetings with host video on. -
join_before_hostboolean— Allow participants to join the meeting before the host arrives -
meeting_authenticationboolean— Only authenticated users can join meetings -
mute_upon_entryboolean— Automatically mute all participants when they join the meeting. -
participant_videoboolean— Start meetings with participant video on. -
personal_meetingboolean— Turn the lock setting on or off for the **Enable Personal Meeting ID** setting for a group. `true` - Turn the **Enable Personal Meeting ID** setting **on** for all users in the group. Users can choose to use personal meeting ID for their meetings. `false` - Turn **off** the **Enable Personal Meeting ID** setting. **If this setting is [disabled](https://support.zoom.us/hc/en-us/articles/201362843-Personal-meeting-ID-PMI-and-personal-link?flash_digest=eb7ac62d8c7fb4daf285916e3e15d87537806133#h_aa0335c8-3b06-41bc-bc1f-a8b84ef17f2a), meetings that were scheduled with PMI by this group members will be invalid. Users will have to update previously scheduled PMI meetings.** For Zoom Phone only: If a user has been assigned a desk phone, **Elevate to Zoom Meeting** on desk phone will be disabled. -
pstn_password_protectedboolean— Generate and send new passcodes for newly scheduled or edited meetings. -
require_password_for_instant_meetingsboolean— Require passcode for instant meetings. If you use PMI for your instant meetings, this option is disabled. -
require_password_for_pmi_meetingsboolean— Require participants to enter passcode for PMI meetings. -
require_password_for_scheduling_new_meetingsboolean— This setting applies for regular meetings that do not use PMI. If enabled, a passcode is generated while a host schedules a new meeting and participants will be required to enter the passcode before they can join the meeting. -
upcoming_meeting_reminderboolean— Receive desktop notification for upcoming meetings.
-
-
telephonyobject— Group Settings: Telephony.-
telephony_regionsboolean— Indicates where most of the participants call into or call from during a meeting. -
third_party_audioboolean— Allow users to join the meeting using the existing 3rd party audio configuration.
-
-
meeting_securityobject-
approved_or_denied_countries_or_regionsboolean— Whether to enable the [**Approve or block entry for users from specific countries or regions**](https://support.zoom.us/hc/en-us/articles/360060086231-Joining-from-specific-countries-regions) setting. -
auto_securityboolean— Whether to require that all meetings are secured with at least one security option. This setting can only be disabled by Enterprise, ISV, Business (with more than 100 licenses), and Education accounts. -
block_user_domainboolean— Whether to block users in specific domains from joining meetings and webinars. -
embed_password_in_join_linkboolean— Whether the meeting passcode will be encrypted and included in the invitation link. The provided link will allow participants to join the meeting without having to enter the passcode. -
encryption_typestring, possible values:"enhanced_encryption", "e2ee"— The type of encryption to use when starting a meeting. * `enhanced_encryption` - Use enhanced encryption. Encryption data is stored in the cloud. * `e2ee` — End-to-end encryption. The encryption key is stored on the local device and cannot be obtained by anyone else. Enabling E2EE also [**disables** certain features](https://support.zoom.us/hc/en-us/articles/360048660871), such as cloud recording, live streaming, and allowing participants to join before the host. -
end_to_end_encrypted_meetingsboolean— Whether to enable end-to-end encryption for meetings. If enabled, you can specify the type of encryption in the `encryption_type` field. -
meeting_passwordboolean— Whether all instant and scheduled meetings that users can join via client or Zoom Rooms systems are passcode-protected. [Personal Meeting ID (PMI)](https://support.zoom.us/hc/en-us/articles/203276937) meetings are **not** included in this setting. -
only_authenticated_can_join_from_webclientboolean— Whether to specify that only authenticated users can join the meeting from the web client. -
phone_passwordboolean— Whether to require a passcode for participants joining by phone. If enabled and the meeting is passcode-protected, a numeric passcode is required for participants to join by phone. For meetings with alphanumeric passcodes, a numeric passcode will be generated. -
pmi_passwordboolean— Whether all personal meeting ID (PMI) meetings that users can join via client or Zoom Rooms systems are passcode-protected. -
waiting_roomboolean— Whether participants are placed in the [**Waiting Room**](https://support.zoom.us/hc/en-us/articles/115000332726-Waiting-Room) when they join a meeting. If the **Waiting Room** feature is enabled, the [**Allow participants to join before host**](https://support.zoom.us/hc/en-us/articles/202828525-Allow-participants-to-join-before-host) setting is automatically disabled. -
webinar_passwordboolean— Whether to generate a passcode when scheduling webinars. Participants must use the generated passcode to join the scheduled webinar.
-
Example:
{
"audio_conferencing": {
"toll_free_and_fee_based_toll_call": true,
"toll_call": true,
"call_me_and_invite_by_phone": true,
"personal_audio_conference": true,
"participant_phone_masking": true
},
"email_notification": {
"alternative_host_reminder": true,
"cancel_meeting_reminder": true,
"cloud_recording_available_reminder": true,
"jbh_reminder": true,
"schedule_for_reminder": true
},
"in_meeting": {
"alert_guest_join": true,
"allow_users_to_delete_messages_in_meeting_chat": true,
"allow_live_streaming": true,
"allow_show_zoom_windows": true,
"annotation": true,
"attendee_on_hold": true,
"auto_answer": true,
"auto_generated_captions": true,
"auto_saving_chat": true,
"breakout_room": true,
"chat": true,
"meeting_question_answer": true,
"closed_caption": true,
"co_host": true,
"custom_data_center_regions": true,
"disable_screen_sharing_for_host_meetings": true,
"disable_screen_sharing_for_in_meeting_guests": true,
"e2e_encryption": true,
"entry_exit_chime": "all",
"far_end_camera_control": true,
"feedback": true,
"file_transfer": true,
"full_transcript": true,
"group_hd": true,
"webinar_group_hd": true,
"language_interpretation": true,
"sign_language_interpretation": true,
"webinar_reactions": true,
"meeting_survey": true,
"non_verbal_feedback": true,
"original_audio": true,
"polling": true,
"post_meeting_feedback": true,
"private_chat": true,
"remote_control": true,
"remote_support": true,
"request_permission_to_unmute_participants": true,
"save_caption": true,
"save_captions": true,
"screen_sharing": true,
"sending_default_email_invites": true,
"show_a_join_from_your_browser_link": true,
"show_browser_join_link": true,
"show_meeting_control_toolbar": true,
"slide_control": true,
"stereo_audio": true,
"use_html_format_email": true,
"virtual_background": true,
"waiting_room": true,
"webinar_chat": true,
"webinar_live_streaming": true,
"webinar_polling": true,
"webinar_question_answer": true,
"webinar_survey": true,
"whiteboard": true
},
"other_options": {
"blur_snapshot": true
},
"recording": {
"account_user_access_recording": true,
"auto_delete_cmr": true,
"auto_recording": true,
"cloud_recording": true,
"cloud_recording_download": true,
"host_delete_cloud_recording": true,
"ip_address_access_control": {
"enable": true,
"ip_addresses_or_ranges": "200.181.108.17 - 220.181.108.157"
},
"local_recording": true,
"recording_authentication": true,
"archive": true
},
"schedule_meeting": {
"audio_type": true,
"embed_password_in_join_link": true,
"host_video": true,
"join_before_host": true,
"meeting_authentication": true,
"mute_upon_entry": true,
"participant_video": true,
"personal_meeting": true,
"pstn_password_protected": true,
"require_password_for_instant_meetings": true,
"require_password_for_pmi_meetings": true,
"require_password_for_scheduling_new_meetings": true,
"upcoming_meeting_reminder": true,
"continuous_meeting_chat": true
},
"telephony": {
"telephony_regions": true,
"third_party_audio": true
}
}
Responses
Status: 204 **Status Code:** `204` Group's locked settings updated.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid account. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> This group does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
List group members
- Method:
GET - Path:
/groups/{groupId}/members - Tags: Groups
List the members of a group under your account.
Prerequisite: Pro, Business, or Education account
Scopes: group:read:admin,group:write:admin
Granular Scopes: group:read:list_members:admin
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` List of group members returned.
Content-Type: application/json
-
membersarray— List of a Group MembersItems:
-
emailstring— User's email address. -
first_namestring— First name of the user. -
idstring— Unique Identifier of the user. -
last_namestring— Last name of the user. -
typeinteger— User type: `1` - Basic `2` - Licensed
-
-
next_page_tokenstring— The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes. -
page_countinteger— The number of pages returned from this request. -
page_numberinteger— The page number of the current results. -
page_sizeinteger— The number of records returned from a single API call. -
total_recordsinteger— The total number of records available across all pages.
Example:
{
"members": [
{
"email": "jchill@example.com",
"first_name": "Jill",
"id": "v4iyWT1LTfy8QvPG4GTvdg",
"last_name": "Chill",
"type": 1
}
],
"next_page_token": "R4aF9Oj0fVM2hhezJTEmSKaBSkfesDwGy42",
"page_count": 20,
"page_number": 1,
"page_size": 10,
"total_records": 200
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for Paid account. <br> **Error Code:** `300` <br> The next page token is invalid or expired. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> A group with this {groupId} does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Add group members
- Method:
POST - Path:
/groups/{groupId}/members - Tags: Groups
Use this API to add users to a group in your account.
Prerequisites:
- A Pro, Business, or Education account
Scopes: group:write:admin
Granular Scopes: group:write:member:admin
Rate Limit Label: MEDIUM
Request Body
Content-Type: application/json
-
membersarray— List of Group membersItems:
-
emailstring— User email. If the user ID is given then the user email should be ignored. -
idstring— User ID.
-
Example:
{
"members": [
{
"email": "jchill@example.com",
"id": "v4iyWT1LTfy8QvPG4GTvdg"
}
]
}
Responses
Status: 201 Member added.
Content-Type: application/json
-
added_atstring, format:date-time -
idsstring
Example:
{
"added_at": "2022-03-25T03:08:12Z",
"ids": "v4iyWT1LTfy8QvPG4GTvdg"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid account,{accountId}. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> A group with this {groupId} does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Delete a group member
- Method:
DELETE - Path:
/groups/{groupId}/members/{memberId} - Tags: Groups
Use this API to remove a user from a group in an account.
Prerequisites:
- A Pro, Business, or Education account
Scopes: group:write:admin
Granular Scopes: group:delete:member:admin
Rate Limit Label: LIGHT
Responses
Status: 204 **HTTP Status Code:** `204` **No Content** Group member deleted.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `1010` <br> Group does not belong to this account:{accountId}. <br> **Error Code:** `200` <br> Only available for Paid account. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> A group with this {groupId} does not exist. <br> **Error Code:** `4131` <br> Group member does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Update a group member
- Method:
PATCH - Path:
/groups/{groupId}/members/{memberId} - Tags: Groups
Use this API to perform either of the following tasks:
- Remove a group member from one group and move them to a different group.
- Set a user's primary group. By default, the primary group is the first group that user is added to.
If a user is a member of multiple groups, you can assign the user a primary group. The user will use the primary group's settings by default. However, if the user is a member of a group with locked settings, those group settings will remain locked to the user.
Prerequisites:
- A Pro or higher account
Scopes: group:write:admin
Granular Scopes: group:update:member:admin
Rate Limit Label: MEDIUM
Request Body
Content-Type: application/json
-
action(required)string, possible values:"move", "set_primary"— The action to perform: * `move` — Remove the group member from one group and move them to a different group. * `set_primary` — Set the user's primary group. -
target_group_idstring— The target group's ID. To get this value, use the [**List groups**](/docs/api-reference/zoom-api/methods#operation/groups) API. * To set a user's primary group, use the designated primary group's `groupId` value. * To move a group member from one group to another, use the `groupId` of the designated group.
Example:
{
"action": "move",
"target_group_id": "SobVexyrQjqCkcxjpBWi6w"
}
Responses
Status: 204 **HTTP Status Code:** `204` **No Content** Group member updated.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for Paid account, {accountId}.<br><br> <br> **Error Code:** `300` <br> The target_group_id can not be empty.<br><br> <br> **Error Code:** `1010` <br> Group does not belong to this account:{accountId}. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `4130` <br> A group with this {groupId} does not exist. <br> **Error Code:** `4131` <br> Group member does not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get a group's settings
- Method:
GET - Path:
/groups/{groupId}/settings - Tags: Groups
Get settings for a group.
Prerequisite: Pro, Business, or Education account.
Scopes: group:read:admin,group:write:admin
Granular Scopes: group:read:settings:admin
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code**: `200` Group Settings Returned.
Content-Type: application/json
One of:
-
audio_conferencingobject— The group's audio conference settings.-
call_me_and_invite_by_phoneobject— The group's [**Call Me and Invite by Phone**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0067414#h_01F53VG7NCJDZ238VVXZDJ8QMH) settings.-
allow_webinar_attendees_call_meboolean— Whether webinar attendees can use Call Me to connect audio. This feature is only available in version 5.2.2 and higher. -
call_out_countriesobject— The group's call out countries/regions settings.-
allowed_countriesarray— The list of all available countries/regions that can be enabled for call out.Items:
-
codestring— The [code](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries) of the country or region. -
namestring— The name of the country or region.
-
-
selected_countriesarray— The list of countries/regions that users can call out to.Items:
-
codestring— The [code](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries) of the country or region. -
namestring— The name of the country or region.
-
-
-
enableboolean— Whether the group has the [**Call Me and Invite by Phone**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0067414#h_01F53VG7NCJDZ238VVXZDJ8QMH) setting enabled. -
require_press_1_for_call_mestring, possible values:"auto", "always", "never"— Require Call Me users to press 1 before being connected to the meeting. * `auto` - Automatically determine whether to require pressing 1 before connecting to the meeting. * `always` - Always require Call Me users to press 1 before connecting to the meeting. * `never` - Never require Call Me users to press 1 before connecting to the meeting.
-
-
global_dial_in_countriesobject— The group's [**Global Dial-in Countries/Regions**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0068094#h_01F5KK9RF10NA325STVQP8TYER) settings.-
allowed_countriesarray— The list of all available countries/regions that can be selected for displaying dial-in numbers in the meeting invitation.Items:
-
codestring— The [code](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries) of the country or region. -
namestring— The name of the country or region.
-
-
include_toll_freeboolean— Whether to include toll-free numbers in the email invitation for the selected countries/regions. -
selected_countriesarray— The list of selected countries/regions whose dial-in numbers will be listed in the email invitation.Items:
-
codestring— The [code](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries) of the country or region. -
namestring— The name of the country or region.
-
-
-
participant_phone_maskingobject— The group's [**Mask phone number in the participant list**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0067881#h_01F5K5H1618B9AQ9F29NYRNE8W) settings.-
enableboolean— Whether the group has the [**Mask phone number in the participant list**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0067881#h_01F5K5H1618B9AQ9F29NYRNE8W) setting enabled. -
masking_typestring, possible values:"mask_default", "mask_first_5", "mask_except_last_4"— The type of phone number masking pattern to apply. * `mask_default` - Default masking pattern (Example: 888****666). * `mask_first_5` - Mask first five digits (Example: *****66666). * `mask_except_last_4` - Mask everything except last four digits (Example: *****6666).
-
-
personal_audio_conferenceboolean— Whether the group has the [**Personal Audio Conference**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0060449#h_01F5BPMNMERFWXN5S8ZJRZZCSE) setting enabled. -
toll_callobject— The group's [**Toll Call**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0066909#h_01F51844DRCX3K7BRTMZ40381R) settings.-
enableboolean— Whether the group has the [**Toll Call**](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0066909#h_01F51844DRCX3K7BRTMZ40381R) setting enabled. -
numbersarray— The group's **Toll Call** phone number information.Items:
-
codestring— The phone number's [E.164 country calling code](https://en.wikipedia.org/wiki/List_of_country_calling_codes). -
country_codestring— The phone number's two letter [country code](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries). -
country_namestring— The country name. -
display_numberstring— The phone number's display number. -
numberstring— The phone number.
-
-
-
toll_free_and_fee_based_toll_callobject— The group's [**Toll-free and Fee-based Toll Call**](https://support.zoom.us/hc/en-us/articles/360060950711-Enabling-Toll-free-and-Fee-based-Toll-Call#h_01F51844DRCX3K7BRTMZ40381R) settings.-
allow_webinar_attendees_dialboolean— Whether webinar attendees can dial in through the account's **Toll-free and Fee-based Toll Call** phone numbers. This feature is only available in version 5.2.2 and higher. -
enableboolean— Whether the group has the [**Toll-free and Fee-based Toll Call**](https://support.zoom.us/hc/en-us/articles/360060950711-Enabling-Toll-free-and-Fee-based-Toll-Call#h_01F51844DRCX3K7BRTMZ40381R) setting enabled. -
numbersarray— The group's **Toll-free and Fee-based Toll Call** phone number information.Items:
-
codestring— The phone number's [E.164 country calling code](https://en.wikipedia.org/wiki/List_of_country_calling_codes). -
country_codestring— The phone number's [country code](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries). -
country_namestring— The country name. -
display_numberstring— The phone number's display number. -
numberstring— The phone number.
-
-
-
-
chatobject— The account's chat settings.-
allow_users_to_add_contactsobject— Allow users to add contacts.-
enableboolean— By disabling this setting, users will not be able to add contacts. -
selected_optioninteger, possible values:1, 2, 3, 4— The type of allowing users to add contacts. * 1 - Anyone, either internal and external contacts. * 2 - In the same organization. * 3 - In the same organization and specified domains. * 4 - In the same organization and specified users. -
user_email_addressesstring— The domains or emails, internal or external. * When the `selected_option` field value is `3`, the value is internal or external domains. Use a comma to separate multiple domains. * When the `selected_option` field value is `4`, the value is internal or external email addresses. Use a comma to separate multiple emails.
-
-
allow_users_to_chat_with_othersobject— Allow users to chat with others.-
enableboolean— If you select 'In the same organization', users may still be able to chat with external users if they are added to channels or group chats with external users. -
selected_optioninteger, possible values:1, 2, 3, 4— The type of allowing users to add contacts. * 1 - Anyone (internal and external contacts). * 2 - In the same organization. * 3 - In the same organization and specified domains. * 4 - In the same organization and specified users. -
user_email_addressesstring— The domains or emails, either internal or external. * When the `selected_option` field value is `3`, the value is internal or external domains. Use a comma to separate multiple domains. * When the `selected_option` field value is `4`, the value is internal or external email addresses. Use a comma to separate multiple emails.
-
-
allow_users_to_search_others_optionsstring— Allow users to search others, when selecting multiple items, separate them with commas. * ''-none. * '1' - In the same account. * '2' - Under the same master account, including all sub acounts. * '3' - Under the same organization. -
chat_emojisobject— Chat emojis.-
emojis_optionstring, possible values:"all", "selected" -
enableboolean— Allow users to use the emoji library in direct messages or group conversations. Choose between allowing users to use any emoji in the library, or choose to allow only pre-selected emojis. If the setting is disabled, users can still use keyboard shortcuts to add emojis. Users can change their emoji skin tone in Settings.
-
-
chat_etiquette_toolobject— Information about the Chat Etiquette tool.-
enableboolean— Whether the **Chat Etiquette Tool** is enabled. -
policiesarray— Information about the defined **Chat Etiquette Tool** policies.Items:
-
descriptionstring— The policy's description. -
idstring— The policy ID. -
is_lockedboolean— Whether the policy is locked by an account-level user. When it is locked, users cannot update the policy. -
keywordsarray— A list of defined rule keywords.Items:
string -
namestring— The policy name. -
regular_expressionstring— The regular expression to match to the content of chat messages. -
statusstring, possible values:"activated", "deactivated"— The policy's current status. * `activated` - Activated. * `deactivated` - Deactivated. -
trigger_actioninteger, possible values:1, 2— The policy's trigger action. * `1` - Ask the user to confirm before they send the message. * `2` - Block the user's message.
-
-
-
create_private_channelsboolean— Allow users to create private channels. -
create_public_channelsboolean— Allow users to create public channels. -
record_video_messagesboolean— Allow users to record video messages that can be sent in direct messages or group conversations. If the file share setting is disabled, they will not be able to record and send video messages. -
record_voice_messagesboolean— Allow users to record voice messages that can be sent in direct messages or group conversations. -
schedule_meetings_in_chatboolean— Schedule a meeting from chat or channel. -
screen_captureboolean— Allow users to take and send screenshots in direct messages or group conversations. -
search_and_send_animated_gif_imagesobject— Allow users to search GIF images from GIPHY when they compose messages. See GIPHY's website for more information about content ratings.-
enableboolean— Whether to allow users to search GIF images from GIPHY when they compose messages.
-
-
send_data_to_third_party_archiving_serviceobject— Send data to third-party archiving service.-
enableboolean— Allow users to send data to third-party archiving service.
-
-
set_retention_period_in_cloudobject— Set retention period for messages and files in Zoom's cloud.-
enableboolean— By default, messages and files are stored in Zoom's cloud. Enable this setting to specify when they are deleted. When retention is disabled, messages sent by offline users can be received within 7 days before they are deleted. -
retention_period_of_channelsstring— Delete data in channels after retention period. 'y' - year, 'm' - month, 'd' - day -
retention_period_of_direct_messages_and_group_conversationstring— Delete direct messages and group conversations after retention period. 'y' - year, 'm' - month, 'd' - day
-
-
set_retention_period_in_localobject— Store messages on local devices, excluding personal channel messages.-
enableboolean— Specify how long your messages are saved on local devices. If this setting is disabled, messages are never deleted locally. -
retention_period_of_channelsstring— Delete data in channels after retention period. 'y' - year, 'm' - month, 'd' - day -
retention_period_of_direct_messages_and_group_conversationstring— Delete direct messages and group conversations after retention period. 'y' - year, 'm' - month, 'd' - day
-
-
share_filesobject— Users can share files in chats and channels.-
enableboolean— Allow users of this account to send and receive files in chats and channels. When disabled, users can still take and share screenshots. -
share_optionstring, possible values:"anyone", "account", "organization"— Allow users of this account to send and receive files in chats and channels. When disabled, users can still take and share screenshots.
-
-
share_links_in_chatboolean— Share links to messages and channels in Team Chat. -
translate_messagesboolean— Allow users to translate team chat messages. [Learn more].(https://support.zoom.us/hc/en-us/articles/12998089084685)
-
-
email_notificationobject-
alternative_host_reminderboolean— Notify the alternative host who is set or removed. -
cancel_meeting_reminderboolean— Notify host and participants when the meeting is cancelled. -
cloud_recording_available_reminderboolean— Whether to notify the host when a cloud recording is available. -
jbh_reminderboolean— Notify host when participants join the meeting before them. -
recording_available_reminder_alternative_hostsboolean— Whether to notify any alternative hosts when a cloud recording is available. -
recording_available_reminder_schedulersboolean— Whether to notify the person who scheduled the meeting or webinar for the host when a cloud recording is available. -
schedule_for_reminderboolean— Notify the host there is a meeting is scheduled, rescheduled, or cancelled.
-
-
general_settingobject— General settings.-
auto_zoom_room_proximity_connectboolean— Allow automatic direct sharing and connecting to Zoom Rooms using ultrasonic proximity signal.
-
-
in_meetingobject-
alert_guest_joinboolean— Allow participants who belong to your account to see that a guest (someone who does not belong to your account) is participating in the meeting or webinar. -
allow_host_panelists_to_use_audible_clapboolean— Whether to allow hosts and panelists to use audible clap. -
allow_live_streamingboolean— Whether livestreaming is enabled. -
allow_participants_chat_withinteger, possible values:1, 2, 3, 4— Whether to allow participants to only chat with certain groups. * `1` - The participant cannot use chat. * `2` - Host and co-hosts only. * `3` - The participant can chat with other participants publicly. * `4` - The participant can chat with other participants publicly and privately. **Note:** This setting is only available with client versions 5.7.3 and above. -
allow_show_zoom_windowsboolean— Show Zoom windows during screen share. -
allow_users_save_chatsinteger, possible values:1, 2, 3— Whether to allow participants to save meeting chats. * `1` - Participants cannot save meeting chats. * `2` - Participants can only save host and co-host meeting chats. * `3` - Participants can save all meeting chats. -
allow_users_to_delete_messages_in_meeting_chatboolean— If the value of this field is set to `true`, allow users to delete messages in the in-meeting chat. -
annotationboolean— Allow participants to use annotation tools to add information to shared screens. -
attendee_on_holdboolean, default:false— Allow the host to put an attendee on hold. **This field has been deprecated and is no longer supported.** -
auto_answerboolean— Enable users to see and add contacts to 'auto-answer group' in the contact list on chat. Any call from members of this group will be automatically answered. -
auto_generated_translationobject— Information about the [Translate captions](https://support.zoom.us/hc/en-us/articles/8158738379917-Managing-automated-captions-) settings in meetings.-
enableboolean— Whether to allow users to enable automated translated captions in these language pairs in meetings. -
language_item_pairListobject— Information about all spoken languages and translation languages in meetings.-
allboolean— Whether to select all spoken languages and translation languages. -
trans_lang_configarray— A list of spoken languages and translation languages.Items:
-
speak_languageobject— The language used in meetings.-
codestring, possible values:"zh", "nl", "en", "fr", "de", "it", "ja", "ko", "pt", "ru", "es", "uk"— The code for the language. -
namestring, possible values:"Chinese (Simplified)", "Dutch", "English", "French", "German", "Italian", "Japanese", "Korean", "Portuguese", "Russian", "Spanish", "Ukrainian"— The language's name.
-
-
translate_toobject— Information about all the translation languages.-
allboolean— Whether to select all the translation languages. -
language_configarray— A list of the translation languages.Items:
-
codestring, possible values:"en"— The translation language's code. -
namestring, possible values:"English"— The translation language's name.
-
-
-
-
-
-
auto_saving_chatboolean— Automatically save all in-meeting chats. -
breakout_roomboolean— Allow the host to split meeting participants into separate, smaller rooms. -
breakout_room_scheduleboolean— Whether the host can assign participants to breakout rooms when scheduling. This feature is **only** available in version 4.5.0 or higher. -
chatboolean— Allow meeting participants to send chat message visible to all participants. -
closed_captionboolean— Allow the host to type closed captions or assign a participant/third party device to add closed captions. -
closed_captioningobject— Information about the group's closed captioning settings.-
auto_transcribingboolean— Whether to allow a live transcription service to transcribe meetings. -
enableboolean— Whether to allow the host to type closed captions or assign a participant or 3rd-party service to provide closed captioning. -
save_captionboolean— Whether to allow participants to save closed captions or transcripts. -
third_party_captioning_serviceboolean— Whether to allow the use of an API token to integrate with 3rd-party closed captioning services. -
view_full_transcriptboolean— Whether to allow the viewing of full transcripts in the in-meeting side panel.
-
-
co_hostboolean— Allow the host to add co-hosts. Co-hosts have the same in-meeting controls as the host. -
custom_data_center_regionsboolean— If set to `true`, you can [select data center regions](https://support.zoom.us/hc/en-us/articles/360042411451-Selecting-data-center-regions-for-hosted-meetings-and-webinars) to be used by this group for hosting their real-time meeting and webinar traffic. These regions can be provided in the `data_center_regions` field. If set to `false`, the regions cannot be customized and the default regions will be used. -
custom_live_streaming_serviceboolean— Whether custom livestreaming is enabled. -
custom_service_instructionsstring— The specific instructions to allow your account's meeting hosts to configure a custom livestream. -
data_center_regionsarray— If the value of `custom_data_center_regions` is `true`, a comma-separated list of these [data center regions](https://support.zoom.us/hc/en-us/articles/360059254691-Datacenter-abbreviation-list) to opt in to. * `AU` - Australia. * `LA` - Latin America. * `CA` - Canada. * `CN` - China. * `DE` - Germany. * `HK` - Hong Kong SAR. * `IN` - India. * `IE` - Ireland. * `TY` - Japan. * `MX` - Mexico. * `NL` - Netherlands. * `SG` - Singapore. * `US` - United States.Items:
string, possible values:"AU", "LA", "CA", "CN", "DE", "HK", "IN", "IE", "TY", "MX", "NL", "SG", "US" -
disable_screen_sharing_for_host_meetingsboolean— Whether the **Disable desktop screen sharing for meetings you host** setting is enabled. -
disable_screen_sharing_for_in_meeting_guestsboolean— Whether the **Disable screen sharing when guests are in the meeting** setting is enabled. -
e2e_encryptionboolean— Require that all meetings are encrypted using AES. -
entry_exit_chimestring— Play sound when participants join or leave. -
far_end_camera_controlboolean— Allow another user to take control of the camera during a meeting. -
feedbackboolean— Enable users to provide feedback to Zoom at the end of the meeting. -
file_transferboolean— Indicates whether [in-meeting file transfer](https://support.zoom.us/hc/en-us/articles/209605493-In-meeting-file-transfer) setting has been enabled for the users in the group or not. -
group_hdboolean— Enable higher quality video for host and participants in the meeting. This requires more bandwidth. -
join_from_desktopboolean— Whether to allow participants to join a meeting directly from their desktop browser. Note that the meeting experience from the desktop browser is limited. -
join_from_mobileboolean— Whether to allow participants to join a meeting directly from their mobile browser. Note that the meeting experience from the mobile browser is limited. -
language_interpretationobject— Information about the [language interpretation](https://support.zoom.us/hc/en-us/articles/360034919791-Using-Language-Interpretation-in-your-meeting-or-webinar) settings.-
allow_participants_to_speak_in_listening_channelboolean— Whether to allow participants to speak in listening channel. -
allow_up_to_25_custom_languages_when_scheduling_meetingsboolean— Whether to allow up to 25 custom languages when scheduling meetings. -
custom_languagesarray— A list of user-defined supported languages.Items:
string -
enableboolean— Whether to allow hosts to assign participants as interpreters who can interpret one language into another in real-time. -
enable_language_interpretation_by_defaultboolean— Whether to enable language interpretation by default. -
languagesarray, possible values:"English", "Chinese", "Japanese", "German", "French", "Russian", "Portuguese", "Spanish", "Korean"— A list of system-supported languages.Items:
string
-
-
live_streaming_facebookboolean— Whether Facebook livestreaming is enabled. -
[...]
